‫ اصلاح يك آسيب پذيري در آپاچي

شماره: IRCNE2015052525
تاريخ:03/07 /94
 
اصلاحيه اي براي آسيب پذيري موجود در قطعه كدي از دستگاه هاي اندرويد كه مي تواند باعث ايجاد خرابي يا نمايش بسته هاي ديالوگ ناخواسته شود، منتشر شد.
اين آسيب پذيري در Apache Cordova شناسايي شده است. Apache Cordova مجموعه اي از واسط هاي برنامه نويسي برنامه هاي كاربردي مي باشد كه به توسعه دهنده اجازه مي دهد تا به توابعي نظير دوربين يا شتاب سنج هايي كه از جاوااسكريپت استفاده مي كنند، دسترسي يابند.
 شركت ترند ميكرو كه اين مشكل را كشف كرده است اعلام كرد كه 5.6 درصد از برنامه هاي كاربردي موجود در فروشگاه گوگل پلي از مجموعه Cordova استفاده مي كنند و آسيب پذير مي باشند. iOS تحت تاثير اين آسيب پذير قرار ندارد.
استفان شن، تحليلگر تهديدات تلفن همراه اظهار داشت: اين مشكل مي تواند توسط متقاعد كردن كاربر براي كليك بر روي يك آدرس URL مورد سوء استفاده قرار بگيرد.
برنامه هاي كاربردي كه از نسخه 4.0.x يا بالاتر استفاده مي كنند بايد به نسخه 4.0.2 مجموعه Cordova به روز رساني شوند.
 

 

 
 
 

نظرات

بدون نظر
شما برای نظر دادن باید وارد شوید

نوشته

 
تاریخ ایجاد: 9 خرداد 1394

دسته‌ها

امتیاز

امتیاز شما
تعداد امتیازها:0